Subject: Re: [pcp] New Submission: draft-mou-pcp-application-network-feedback-00.txt

From: "Bill Ver Steeg (versteb)" <[email-masked]>
Date: Tue, 5 Nov 2013 23:49:32 +0000

I have read this draft, and I have mixed emotions.

It is not clear (to me) if the intent is to use PCP to 1) actually invoke video rate changes, or 2) use PCP signaling mechanisms to help the application logic determine rate changes and to signal those rate changes to the network.

IMHO- The former is not a good idea. The latter is an excellent idea, although I am not sure that all of the metadata described in this draft would be useful.

I strongly encourage work in the area of exchanging metadata between the hosts and the network edge. I am not sure that some of the video-specific metadata is useful (or appropriate) for consumption by the network. The brightness, screen size, and the like is clearly useful to the client, and may even be useful for the server. However, I do not see how it is useful to the network.  Having said that,  I do like the idea of exchanging stuff like network bandwidth/delay/loss/jitter/cost (aka network metadata) and application flow priority/type/desired treatment (aka flow metadata).

I think that these points are worth spending some time on, and would like to participate in that discussion.

Bill VerSteeg

>On 11/4/13 5:02 AM, "Moustafa, Hassnaa" <[email-masked]<mailto:[email-masked]>>

>wrote:

>>Hi All,

>>Draft (draft-mou-pcp-application-network-feedback) is a new draft that

>>is submitted today on (PCP Extension for Signaling Feedback

>>Information from the End-User Application to the Application Sever and to the Network).

>>The draft is available at :

>>http://www.ietf.org/internet-drafts/draft-mou-pcp-application-network-

>>fee

>>d

>>back-00.txt

>>This draft addresses the need for more intelligence in the network and

>>service infrastructure for better content delivery to optimize the

>>network and devices resources. In this view, the draft proposes using

>>PCP to signal information for: i)  Knowledge in the network and

>>service platform about the available device and network conditions for

>>the end-user and ii) Knowledge in the network about the content

>>requirements in terms of devices and  network resources for content

>>stored either in the network or in the application server.

>>The abstract of the draft is as follows:

>>" Abstract:    Nowadays users consumption style for video and multimedia

>>applications is strongly changing.  Users are heavily counting on

>>wireless and mobile devices for video streaming and interactive video

>>   and multimedia applications.  This can be implemented for instance

>>by having more intelligence in the service and the network

>>infrastructure to better suit a differentiated users consumption

>>style.  This can be achieved

>>   through having: (i) a knowledge in the network and service platform

>>about the available device and network conditions for the end-user and

>>(ii) a knowledge in the network about the content requirements in

>>terms of devices

>>   capabilities and network resources for content stored either in the

>>network or in the application server.  To obtain such knowledge with

>>no need for  changing the current infrastructure and in a generalized

>>way to all

>>   applications, feedback/notification mechanisms between the end-user

>>application, the network and the service platform is needed to provide

>>information helping the content delivery and adaptation decisions.

>>This document

>>    is investigating such application-agnostic track.

>>   This document extends the Port Control Protocol (PCP) RFC 6887

>>[RFC6887] to allow: (i) the users application to notify the network

>>and application server about its available resources in terms of

>>   devices capabilities and network conditions as well as information

>>about the user (e.g., location, mobility status) and (ii) the

>>application server to notify the network about the requirements of

>>   the content it stores in terms of devices and network resources.  A

>>new PCP option, denoted the FEEDBACK, is specified to allow such

>>feedback notification signaling.  This option is used with both PEER

>>   and MAP Opcodes."

>>Looking forward to having your feedback and more discussion on this

>>draft.

>>Regards,

>>Hassnaa

>>-----Original Message-----

>>From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

>>Sent: Monday, November 04, 2013 4:06 AM

>>To: Mohamed Boucadair; Moustafa, Hassnaa; Moses, Danny

>>Subject: New Version Notification for

>>draft-mou-pcp-application-network-feedback-00.txt

>>A new version of I-D,

>>draft-mou-pcp-application-network-feedback-00.txt

>>has been successfully submitted by Hassnaa Moustafa and posted to the

>>IETF repository.

>>Filename:       draft-mou-pcp-application-network-feedback

>>Revision:        00

>>Title:                 PCP Extension for Signaling Feedback Information from the

>>End-User Application to the Application Sever and to the Network

>>Creation date:              2013-11-04

>>Group:                             Individual Submission

>>Number of pages: 14

>>URL:

>>http://www.ietf.org/internet-drafts/draft-mou-pcp-application-network-

>>fee

>>d

>>back-00.txt

>>Status:

>>http://datatracker.ietf.org/doc/draft-mou-pcp-application-network-feed

>>bac

>>k

>>Htmlized:

>>http://tools.ietf.org/html/draft-mou-pcp-application-network-feedback-

>>00

>>Abstract:

>>   Nowadays users consumption style for video and multimedia

>>   applications is strongly changing.  Users are heavily counting on

>>   wireless and mobile devices for video streaming and interactive video

>>   and multimedia applications.  This can be implemented for instance by

>>   having more intelligence in the service and the network

>>   infrastructure to better suit a differentiated users consumption

>>   style.  This can be achieved through having: (i) a knowledge in the

>>   network and service platform about the available device and network

>>   conditions for the end-user and (ii) a knowledge in the network about

>>   the content requirements in terms of devices capabilities and network

>>   resources for content stored either in the network or in the

>>   application server.  To obtain such knowledge with no need for

>>   changing the current infrastructure and in a generalized way to all

>>   applications, feedback/notification mechanisms between the end-user

>>   application, the network and the service platform is needed to

>>   provide information helping the content delivery and adaptation

>>   decisions.  This document is investigating such application-agnostic

>>   track.

>>   This document extends the Port Control Protocol (PCP) RFC 6887

>>   [RFC6887] to allow: (i) the users application to notify the network

>>   and application server about its available resources in terms of

>>   devices capabilities and network conditions as well as information

>>   about the user (e.g., location, mobility status) and (ii) the

>>   application server to notify the network about the requirements of

>>   the content it stores in terms of devices and network resources.  A

>>   new PCP option, denoted the FEEDBACK, is specified to allow such

>>   feedback notification signaling.  This option is used with both PEER

>>   and MAP Opcodes.

>>Please note that it may take a couple of minutes from the time of

>>submission until the htmlized version and diff are available at

>>tools.ietf.org.

>>The IETF Secretariat

---

From: "Reinaldo Penno (repenno)" <[email-masked]>
Date: Wed, 6 Nov 2013 00:01:30 +0000

On behalf of Bill

From: "Bill Ver Steeg (versteb)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, November 5, 2013 3:49 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [pcp] New Submission: draft-mou-pcp-application-network-feedback-00.txt

Bill VerSteeg

---

From: "Moustafa, Hassnaa" <[email-masked]>
Date: Wed, 6 Nov 2013 05:44:22 +0000

Thanks Bill for your comments.
To answer your questions:

-        The intent is to use PCP signaling mechanism to help the adaptation process (through using the information sent through PCP signals). How the adaptation is done is out of the scope of the draft and is not a point that PCP or other WGs look at, for this the draft does not discuss that but give optimization/adaptation examples in Section 3.5 (just as examples not more). So the draft approach aligns with what you see (point 2) and not (point 1)

-        For the metadata that needs to be exchange: there are some use-cases defined in the draft showing how the knowledge of metadata helps in letting the network takes smart decisions in the adaptation process. Sure we can discuss more on that.

-        The video-specific metadata "mainly the draft considers the video content requirement for network bandwidth and devices resources", when known by the network, allows the network to decide on the best adaptation to do for the video through real-time transcoding for example, to save in bandwidth and network resources.

-        For your last point (Having said that,  I do like the idea of exchanging stuff like network bandwidth/delay/loss/jitter/cost (aka network metadata) and application flow priority/type/desired treatment (aka flow metadata)) --> I totally agree, for this the PCP feedback option proposed in the draft is meant to work with the flowdata draft for this kind of metadata which we believe that flowdata considers.

Looking forward to more discussion during the PCP session.

Regards,
Hassnaa

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bill Ver Steeg (versteb)
Sent: Tuesday, November 05, 2013 3:50 PM
To: [email-masked]
Subject: Re: [pcp] New Submission: draft-mou-pcp-application-network-feedback-00.txt

Bill VerSteeg